Drop support for gstreamer-0.10

Desktop / LibreOffice - Michael Weghorn [posteo.de] - 7 June 2019 09:07 EDT

Drop all GStreamer 0.10 support according to ESC decision of 2019-06-06.

GStreamer 0.10 is obsolete and no longer needed, superseded by GStreamer 1.0 which is available in baseline (RHEL 7 or CentOS 7) and all relevant distros.

Change-Id: Ic317eba04d2c17e141acc983f37fbfa4301c9f3f Reviewed-on: https://gerrit.libreoffice.org/73619

6b911ae9eb94 Drop support for gstreamer-0.10
Repository.mk | 1 -
avmedia/Library_avmediagst_0_10.mk | 46 ----------
avmedia/Module_avmedia.mk | 6 --
.../gstreamer/avmediagstreamer_0_10.component | 15 ---
avmedia/source/gstreamer/gst_0_10.cxx | 27 ------
avmedia/source/gstreamer/gstframegrabber.cxx | 33 +------
avmedia/source/gstreamer/gstplayer.cxx | 101 +--------------------
avmedia/source/gstreamer/gstuno.cxx | 9 +-
avmedia/source/inc/mediamisc.hxx | 1 -
avmedia/source/viewer/mediawindow_impl.cxx | 5 -
bin/check-elf-dynamic-objects | 4 -
config_host.mk.in | 3 -
configure.ac | 42 +--------
distro-configs/LibreOfficeAndroid.conf | 1 -
distro-configs/LibreOfficeAndroidAarch64.conf | 1 -
distro-configs/LibreOfficeAndroidX86.conf | 1 -
distro-configs/LibreOfficeCoverity.conf | 1 -
postprocess/Rdb_services.mk | 3 -
solenv/clang-format/blacklist | 1 -
19 files changed, 10 insertions(+), 291 deletions(-)

Upstream: cgit.freedesktop.org


  • Share